> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all integrations



## OpenAPI

````yaml GET /integrations
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations:
    get:
      summary: List all integrations
      responses:
        '200':
          description: Successfully listed all integrations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAllIntegrationsApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ListAllIntegrationsApiResponse:
      type: object
      properties:
        code:
          type: string
        data:
          type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/IntegrationObject'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    IntegrationObject:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        paused:
          type: boolean
        source:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
        destination:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            type:
              type: string
        latestRunId:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````